package com.jasamedika.medifirst2000.entities;

import java.io.Serializable;
import org.hibernate.envers.Audited;
import javax.persistence.*;

import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.BaseMaster;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;
import org.hibernate.envers.Audited;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

/**
 * class MakananBayi
 * 
 * @author Generator
 */
@Entity // @Audited
@Table(name = "MakananBayi_M")
public class MakananBayi extends BaseMaster {
	@NotNull(message = "Kd Makanan Bayi tidak boleh kosong")
	@Column(name = "KdMakananBayi", nullable = false)
	@Caption(value = "Kode Makanan Bayi")
	private Byte kdMakananBayi;

	public void setKdMakananBayi(Byte kdMakananBayi) {
		this.kdMakananBayi = kdMakananBayi;
	}

	public Byte getKdMakananBayi() {
		return this.kdMakananBayi;
	}

	@NotNull(message = "Makanan Bayi tidak boleh kosong")
	@Column(name = "MakananBayi", nullable = false, length = 30)
	@Caption(value = "Makanan Bayi")
	private String makananBayi;

	public void setMakananBayi(String makananBayi) {
		this.makananBayi = makananBayi;
	}

	public String getMakananBayi() {
		return this.makananBayi;
	}

	@NotNull(message = "QMakanan Bayi tidak boleh kosong")
	@Column(name = "QMakananBayi", nullable = false)
	@Caption(value = "QMakanan Bayi")
	private Byte qMakananBayi;

	public void setqMakananBayi(Byte qMakananBayi) {
		this.qMakananBayi = qMakananBayi;
	}

	public Byte getqMakananBayi() {
		return this.qMakananBayi;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.makananbayi_m_id_seq")
	@javax.persistence.SequenceGenerator(name = "public.makananbayi_m_id_seq", sequenceName = "public.makananbayi_m_id_seq", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {

		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
}